1 Reply Latest reply on Apr 16, 2013 12:22 PM by Shekhar_Dhiman

    Captivate 5 wont install on Mac

    LuciaSalters01

      How do I install my current Captivate 5 (for Mac) on Mac OS X Lion? I get a "PowerPC applications are no longer supported error?"